Download it now!
Bug 83655 - blank new master document, insert file via navigator, assert
Summary: blank new master document, insert file via navigator, assert
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:4.4.0
Keywords: bisected, haveBacktrace
Depends on:
Blocks:
 
Reported: 2014-09-09 09:22 UTC by Caolán McNamara
Modified: 2014-09-10 14:23 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
small example to insert (9.40 KB, application/vnd.oasis.opendocument.text)
2014-09-09 09:22 UTC, Caolán McNamara
Details
gdb from the core file (12.64 KB, text/plain)
2014-09-09 23:47 UTC, Terrence Enger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Caolán McNamara 2014-09-09 09:22:31 UTC
Created attachment 105960 [details]
small example to insert

soffice.bin: ... sw/source/core/txtnode/ndhints.cxx:286: bool SwpHintsArray::Check(bool) const: Assertion `pHt->IsFormatIgnoreStart()' failed.

file->new->master document, right click on navigator and insert file and select the simple attachment and get the above assert
Comment 1 Terrence Enger 2014-09-09 23:16:05 UTC
From `git bisect good`:

    9f0fd4c327fa8765bef8a0e2a0e85a620ab6f835 is the first bad commit
    commit 9f0fd4c327fa8765bef8a0e2a0e85a620ab6f835
    Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
    Date:   Wed May 21 17:50:47 2014 +0000

        source-hash-fe1e1d1292973211f0edfa64c05279ca59634652
    
        commit fe1e1d1292973211f0edfa64c05279ca59634652
        Author:     Stephan Bergmann <sbergman@redhat.com>
        AuthorDate: Wed May 21 10:03:17 2014 +0200
        Commit:     Stephan Bergmann <sbergman@redhat.com>
        CommitDate: Wed May 21 15:30:13 2014 +0200
    
            A single ZCodec ctor suffices
    
            Change-Id: Ib831b80afcdde98928a2759616810923348f65e8

    :100644 100644 fcf676686dc0a6b9ea0d6984b31ef0580c00cf58 007446347ce22e11526362418e046c4a6521d63d M	autogen.log
    :100644 100644 03ad3b133ed354d5ab45bdc712a5355013402c17 39f96400ccfd983b65bfd08533e46da62a07419e M	ccache.log
    :100644 100644 e900cb9aba87ebf78801bd60b03866aab0460fac a65fb6b731288d3357183588b9168fce0ec62ac4 M	commitmsg
    :100644 100644 b8dc772fd79ceee78f8854fb2bdf577904e75049 c1b5f2a5c65802a277fd7b2e138c11967e32bb01 M	make.log
    :040000 040000 291f8ca8cacce30d162bc70628131b1a960519bb 03c189077bede8e83e033ac159df9c0f75ee1a1c M	opt

and from `git bisect log`:

    # bad: [9f0fd4c327fa8765bef8a0e2a0e85a620ab6f835] source-hash-fe1e1d1292973211f0edfa64c05279ca59634652
    # good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
    git bisect start 'latest^' 'oldest'
    # good: [e7cbc9b8764280fd4799e234ca32925e91547a82] source-hash-31b35ed6bb7fe77f3f276b00fefce112a620b6ac
    git bisect good e7cbc9b8764280fd4799e234ca32925e91547a82
    # good: [e0ab078ed43a5f7fde83c2a310e7d75c861d02c9] source-hash-53745911a7055cab0ddcfc4ac221ecfaccb04902
    git bisect good e0ab078ed43a5f7fde83c2a310e7d75c861d02c9
    # good: [33ce87ec76b69b6a44704835916642ad3ad1539a] source-hash-2be3417bf6dba2a0897b21e15d22ef2f8aac99e3
    git bisect good 33ce87ec76b69b6a44704835916642ad3ad1539a
    # skip: [d50b7ec6c36fecb4ff94243754027d7c4e63af9e] source-hash-7328e577e297924ba9cdfc2498f84b1d17d603d4
    git bisect skip d50b7ec6c36fecb4ff94243754027d7c4e63af9e
    # skip: [127668cf4fda59e09382becddee2939848cefebf] source-hash-8b7aff3d430649eed279a81984cb6f5c8a1a4f66
    git bisect skip 127668cf4fda59e09382becddee2939848cefebf
    # good: [13f22e75712a128951aeed518ac4e60174c5ed69] source-hash-306859babd5a997a1e5d50e7791e8e5852a7ea2e
    git bisect good 13f22e75712a128951aeed518ac4e60174c5ed69
    # good: [0395d723abc2f731b3dc5c43e543ff6567c77c28] source-hash-ddd4b159531e835539e86f76c56d1013de46a2bd
    git bisect good 0395d723abc2f731b3dc5c43e543ff6567c77c28
    # good: [1de992ed60dad1fd65ff0383a8610b0468d9d772] source-hash-8bf0b9536cb33dfcce8a811b70c2ead285300f3f
    git bisect good 1de992ed60dad1fd65ff0383a8610b0468d9d772
    # good: [882db5e268e28962bdf805c820a5e031b0df9936] source-hash-383dccc094f8c8c07b4298ce0b7406d18cd61cee
    git bisect good 882db5e268e28962bdf805c820a5e031b0df9936
    # good: [bd76e9778274caffd1b195ac1d186e99782fb83b] source-hash-858232e3c78d5d8f013324887e29a74ea2f21bab
    git bisect good bd76e9778274caffd1b195ac1d186e99782fb83b
    # good: [426fdcf0b13134ffbc7f92900d5862fad3723192] source-hash-c9f3c508bb1a1d94fd6172b9cdac30278559f31c
    git bisect good 426fdcf0b13134ffbc7f92900d5862fad3723192
    # good: [ea5723ff672d4a3ffb9ee123a96dda4681703a50] source-hash-1b8cfd5d1414da9127ff18e4701b40f5bceabb36
    git bisect good ea5723ff672d4a3ffb9ee123a96dda4681703a50
    # first bad commit: [9f0fd4c327fa8765bef8a0e2a0e85a620ab6f835] source-hash-fe1e1d1292973211f0edfa64c05279ca59634652
Comment 2 Terrence Enger 2014-09-09 23:47:09 UTC
Created attachment 106016 [details]
gdb from the core file

This observation is from master commit f74a663, fetched 2014-08-23, configured:

    --enable-option-checking=fatal --enable-dbgutil --enable-crashdump
    --without-system-postgresql --without-myspell-dicts
    --with-extra-buildid --without-doxygen
    --with-external-tar=/home/terry/lo_hacking/git/src
    --enable-online-update

built on debian-wheezy 64-bit and running an a chroot environment to
debian-sid 64-bit.
Comment 3 Michael Stahl (CIB) 2014-09-10 14:22:14 UTC
very similar to bug 74790
Comment 4 Commit Notification 2014-09-10 14:23:30 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b56558717d8b5291e5f547e3fd2cf21d33efe08e

fdo#83655: sw: RSID-only hint assertion when inserting in master document



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.